devitg Posted January 24, 2020 Posted January 24, 2020 With this lis I get extrange point at the attached dwg . Please clear me what it could be happen . Of course variable are global, and no error, no nothing Just crude lisp ;;*//*/*/*/*/*/*/*/*/*/*/*/*/**/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/*/* (DEFUN GROUP-BY-NUM/LST-NUM (LST NUM / LS RET) (SETQ RET NIL) (IF (= (REM (LENGTH LST) NUM) 0) (PROGN (SETQ LS NIL) (REPEAT (/ (LENGTH LST) NUM) (REPEAT NUM (SETQ LS (CONS (CAR LST) LS) LST (CDR LST))) (SETQ RET (APPEND RET (LIST (REVERSE LS))) LS NIL))) ) RET ) ;;-******************************************************************************************************************************* (DEFUN cut-fill-area (/ ) (VL-LOAD-COM) (SETQ ACAD-OBJ (VLAX-GET-ACAD-OBJECT)) ;_ el programa ACAD (SETQ ADOC (VLA-GET-ACTIVEDOCUMENT ACAD-OBJ)) ;_ el DWG que esta abierto- (SETQ MODEL (VLA-GET-MODELSPACE ADOC)) (Prompt "\n pique sobre surface Polyline ") (SETQ POLY-surface (ssget "_+.:E:S:L" '((0 . "LWPOLYLINE")(8 . "F-SC-SURFACE")))) (SETQ POLY-surface-ob (VLAX-ENAME->VLA-OBJECT (ssname POLY-surface 0))) (Prompt "\n pique sobre projecto Polyline ") (SETQ POLY-PROJECTO (ssget "_+.:E:S:L" '((0 . "LWPOLYLINE") (8 . "F-SC-PROJECT")))) (SETQ POLY-PROJECTO-OB (VLAX-ENAME->VLA-OBJECT (ssname POLY-PROJECTO 0))) (SETQ intersection-LST (VLAX-INVOKE poly-surface-ob 'INTERSECTWITH POLY-PROJECTO-OB ACEXTENDNONE)) (setq intersection-LST (GROUP-BY-NUM/LST-NUM (SETQ INTPOINT (VLAX-SAFEARRAY->LIST (VLAX-VARIANT-VALUE (VLA-INTERSECTWITH POLY-PROJECTO-OB poly-surface-ob ACEXTENDNONE ) ;_end intersectwith ) ;_end vlax-variant-value ) ;_end vlax-safe->array ) 3)) (SETVAR "pdmode" 34) (SETVAR "pdsize" -1) (foreach intersection intersection-LST (VLA-ADDPOINT MODEL (VLAX-3D-POINT intersection )) ) ) rare intersection.dwg cut-fill.LSP Quote
Roy_043 Posted January 25, 2020 Posted January 25, 2020 The issue does not occur in BricsCAD. It is probably caused by the huge coordinates. Select point to identify coordinates: end Snap to endpoint of: X=352414.7630 Y=7446950.7476 Z=0.0000 1 Quote
devitg Posted January 25, 2020 Author Posted January 25, 2020 It seem to be about coordinates position , I move all to 0 0 0 , and it work ok . thanks for your tip Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.